/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.ftp.internal;

import org.eclipse.ftp.FtpException;

/**
 * Exception class for non-fatal errors thrown as a result of the
 * receipt of certain server responses.
 */
public class FtpServerException extends FtpException {
	
	/**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = 1L;
    public FtpServerException(String message, int code) {
		super(message, code);
	}
	public static String getTextOfMessage(String message, int code) {
		String codeString = Integer.toString(code);
		if (message.startsWith(codeString)) {
			message = message.substring(codeString.length() + 1);
		}
		return message;
	}
}
