/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target;

import org.eclipse.swt.widgets.Shell;

public interface ISiteManager {
	public abstract Site[] getSites();

	public abstract void addSite(Site site);

	public abstract boolean okToRemoveSites(Site[] sites, Shell shell);
	
	public abstract void removeSite(Site site);

	public abstract Site getSite(String locationId);

	public abstract void addSiteListener(ITargetListener listener);

	public abstract void removeSiteListener(ITargetListener listener);
}
