/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target.internal.ftp.ui;

import org.eclipse.jface.dialogs.IDialogSettings;
import org.eclipse.target.internal.ftp.FtpTargetPlugin;
import org.eclipse.target.ui.SiteCreationWizard;
import org.eclipse.target.ui.SiteCreationWizardPage;

public class FtpSiteCreationWizard extends SiteCreationWizard {

	public FtpSiteCreationWizard() {
		// initializes the dialogs settings store
		IDialogSettings workbenchSettings = FtpTargetPlugin.getDefault().getDialogSettings();
		IDialogSettings section = workbenchSettings.getSection("FTPSiteCreationWizard");//$NON-NLS-1$
		if (section == null) {
			section = workbenchSettings.addNewSection("FTPSiteCreationWizard");//$NON-NLS-1$
		}
		setDialogSettings(section);
	}
	
	protected String getMainPageTitle() {
		return "FTP";
	}
	
	protected String getMainPageDescription() {
		return "Create a connection to an FTP site";
	}
	
	/*
	 * @see org.eclipse.jface.wizard.IWizard#getWindowTitle()
	 */
	public String getWindowTitle() {
		return "New FTP Site";
	}
	
	protected SiteCreationWizardPage createSitePage() {
		return new FtpSiteCreationPage("ftp-site-creation", getMainPageTitle(), getMainPageDescription(), null);
	}
}
