/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.target.internal.webdav.ui;

import org.eclipse.jface.dialogs.IDialogSettings;
import org.eclipse.target.internal.webdav.WebdavPlugin;
import org.eclipse.target.ui.SiteCreationWizard;
import org.eclipse.target.ui.SiteCreationWizardPage;

/**
 * @author Administrator
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public class WebDavSiteCreationWizard extends SiteCreationWizard {

	public WebDavSiteCreationWizard() {
		// initializes the dialogs settings store
		IDialogSettings workbenchSettings = WebdavPlugin.getDefault().getDialogSettings();
		IDialogSettings section = workbenchSettings.getSection("WebDavSiteCreationWizard");//$NON-NLS-1$
		if (section == null) {
			section = workbenchSettings.addNewSection("WebDavSiteCreationWizard");//$NON-NLS-1$
		}
		setDialogSettings(section);
	}
	
	protected String getMainPageTitle() {
		return "WebDAV";
	}
	
	protected String getMainPageDescription() {
		return "Create a connection to a WebDAV site";
	}
	
	/*
	 * @see org.eclipse.jface.wizard.IWizard#getWindowTitle()
	 */
	public String getWindowTitle() {
		return "New WebDAV Site";
	}
	
	protected SiteCreationWizardPage createSitePage() {
		return new WebDavSiteCreationPage("webdav-site-creation", getMainPageTitle(), getMainPageDescription(), null);
	}
}
